From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-base/gnome-control-center/
Date: Sun, 31 Jul 2016 09:44:04 +0000 (UTC) [thread overview]
Message-ID: <1469958183.277028349bf7bdfe5216c3aa72547fb5356550f8.pacho@gentoo> (raw)
commit: 277028349bf7bdfe5216c3aa72547fb5356550f8
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 31 09:43:03 2016 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Jul 31 09:43:03 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27702834
gnome-base/gnome-control-center: mouse panel needs a concrete set of plugins at runtime, we also need to handle the coexistance of wacom and libinput together (#580474)
Package-Manager: portage-2.3.0
.../gnome-control-center-3.20.1-r1.ebuild | 160 +++++++++++++++++++++
1 file changed, 160 insertions(+)
diff --git a/gnome-base/gnome-control-center/gnome-control-center-3.20.1-r1.ebuild b/gnome-base/gnome-control-center/gnome-control-center-3.20.1-r1.ebuild
new file mode 100644
index 0000000..f443827
--- /dev/null
+++ b/gnome-base/gnome-control-center/gnome-control-center-3.20.1-r1.ebuild
@@ -0,0 +1,160 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit autotools bash-completion-r1 gnome2
+
+DESCRIPTION="GNOME's main interface to configure various aspects of the desktop"
+HOMEPAGE="https://git.gnome.org/browse/gnome-control-center/"
+
+LICENSE="GPL-2+"
+SLOT="2"
+IUSE="+bluetooth +colord +cups debug +gnome-online-accounts +i18n input_devices_wacom kerberos networkmanager v4l wayland"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+# False positives caused by nested configure scripts
+QA_CONFIGURE_OPTIONS=".*"
+
+# gnome-session-2.91.6-r1 is needed so that 10-user-dirs-update is run at login
+# g-s-d[policykit] needed for bug #403527
+# kerberos unfortunately means mit-krb5; build fails with heimdal
+# udev could be made optional, only conditions gsd-device-panel
+# (mouse, keyboards, touchscreen, etc)
+COMMON_DEPEND="
+ >=dev-libs/glib-2.44.0:2[dbus]
+ >=x11-libs/gdk-pixbuf-2.23.0:2
+ >=x11-libs/gtk+-3.20.3:3[X,wayland?]
+ >=gnome-base/gsettings-desktop-schemas-3.19.3
+ >=gnome-base/gnome-desktop-3.19.93:3=
+ >=gnome-base/gnome-settings-daemon-3.19.1[colord?,policykit]
+
+ >=dev-libs/libpwquality-1.2.2
+ dev-libs/libxml2:2
+ gnome-base/libgtop:2=
+ media-libs/fontconfig
+
+ >=media-libs/libcanberra-0.13[gtk3]
+ >=media-sound/pulseaudio-2[glib]
+ >=sys-auth/polkit-0.97
+ >=sys-power/upower-0.99:=
+ >=x11-libs/libnotify-0.7.3:0=
+
+ virtual/libgudev
+ virtual/opengl
+ x11-apps/xmodmap
+ x11-libs/cairo
+ x11-libs/libX11
+ x11-libs/libXxf86misc
+ >=x11-libs/libXi-1.2
+
+ bluetooth? ( >=net-wireless/gnome-bluetooth-3.18.2:= )
+ colord? (
+ net-libs/libsoup:2.4
+ >=x11-misc/colord-0.1.34:0=
+ >=x11-libs/colord-gtk-0.1.24 )
+ cups? (
+ >=net-print/cups-1.4[dbus]
+ || ( >=net-fs/samba-3.6.14-r1[smbclient] >=net-fs/samba-4.0.0[client] ) )
+ gnome-online-accounts? (
+ >=media-libs/grilo-0.3.0:0.3=
+ >=net-libs/gnome-online-accounts-3.15.1:= )
+ i18n? ( >=app-i18n/ibus-1.5.2 )
+ kerberos? ( app-crypt/mit-krb5 )
+ networkmanager? (
+ >=gnome-extra/nm-applet-0.9.7.995
+ >=net-misc/networkmanager-0.9.8:=[modemmanager]
+ >=net-misc/modemmanager-0.7.990 )
+ v4l? (
+ media-libs/clutter-gtk:1.0
+ >=media-video/cheese-3.5.91 )
+ input_devices_wacom? (
+ >=dev-libs/libwacom-0.7
+ >=media-libs/clutter-1.11.3:1.0
+ media-libs/clutter-gtk:1.0
+ >=x11-libs/libXi-1.2 )
+"
+# <gnome-color-manager-3.1.2 has file collisions with g-c-c-3.1.x
+# libgnomekbd needed only for gkbd-keyboard-display tool
+#
+# mouse panel needs a concrete set of X11 drivers at runtime, bug #580474
+# Also we need newer driver versions to allow wacom and libinput drivers to
+# not collide
+RDEPEND="${COMMON_DEPEND}
+ || ( >=sys-apps/systemd-31 ( app-admin/openrc-settingsd sys-auth/consolekit ) )
+ >=sys-apps/accountsservice-0.6.39
+ x11-themes/adwaita-icon-theme
+ colord? ( >=gnome-extra/gnome-color-manager-3 )
+ cups? (
+ app-admin/system-config-printer
+ net-print/cups-pk-helper )
+ input_devices_wacom? ( gnome-base/gnome-settings-daemon[input_devices_wacom] )
+ i18n? ( >=gnome-base/libgnomekbd-3 )
+ wayland? ( dev-libs/libinput )
+ !wayland? (
+ >=x11-drivers/xf86-input-libinput-0.19.0
+ input_devices_wacom? ( >=x11-drivers/xf86-input-wacom-0.33.0 ) )
+
+ !<gnome-base/gdm-2.91.94
+ !<gnome-extra/gnome-color-manager-3.1.2
+ !gnome-extra/gnome-media[pulseaudio]
+ !<gnome-extra/gnome-media-2.32.0-r300
+ !<net-wireless/gnome-bluetooth-3.3.2
+"
+# PDEPEND to avoid circular dependency
+PDEPEND=">=gnome-base/gnome-session-2.91.6-r1"
+
+DEPEND="${COMMON_DEPEND}
+ x11-proto/xproto
+ x11-proto/xf86miscproto
+ x11-proto/kbproto
+
+ dev-libs/libxml2:2
+ dev-libs/libxslt
+ >=dev-util/intltool-0.40.1
+ >=sys-devel/gettext-0.17
+ virtual/pkgconfig
+
+ gnome-base/gnome-common
+"
+# Needed for autoreconf
+# gnome-base/gnome-common
+
+src_prepare() {
+ # Make some panels and dependencies optional; requires eautoreconf
+ # https://bugzilla.gnome.org/686840, 697478, 700145
+ eapply "${FILESDIR}"/${PN}-3.20.0-optional.patch
+ eapply "${FILESDIR}"/${PN}-3.16.0-make-wayland-optional.patch
+ eapply "${FILESDIR}"/${PN}-3.18.0-keep-panels-optional.patch
+ eapply "${FILESDIR}"/${PN}-3.16.0-networkmanager.patch
+
+ # Fix some absolute paths to be appropriate for Gentoo
+ eapply "${FILESDIR}"/${PN}-3.10.2-gentoo-paths.patch
+
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-update-mimedb \
+ --disable-static \
+ --enable-documentation \
+ $(use_enable bluetooth) \
+ $(use_enable colord color) \
+ $(use_enable cups) \
+ $(usex debug --enable-debug=yes ' ') \
+ $(use_enable gnome-online-accounts goa) \
+ $(use_enable i18n ibus) \
+ $(use_enable kerberos) \
+ $(use_enable networkmanager) \
+ $(use_with v4l cheese) \
+ $(use_enable input_devices_wacom wacom) \
+ $(use_enable wayland)
+}
+
+src_install() {
+ gnome2_src_install completiondir="$(get_bashcompdir)"
+}
next reply other threads:[~2016-07-31 9:44 UTC|newest]
Thread overview: 130+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-07-31 9:44 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-04 18:39 [gentoo-commits] repo/gentoo:master commit in: gnome-base/gnome-control-center/ Andreas Sturmlechner
2024-10-17 12:37 Pacho Ramos
2024-10-03 8:54 Pacho Ramos
2024-10-03 8:54 Pacho Ramos
2024-10-03 8:54 Pacho Ramos
2024-07-18 16:09 Pacho Ramos
2024-07-18 16:09 Pacho Ramos
2024-04-28 20:44 Mart Raudsepp
2024-04-22 17:42 Arthur Zamarin
2024-04-07 8:43 Arthur Zamarin
2024-03-15 20:50 Arthur Zamarin
2024-03-11 21:33 Sam James
2024-03-09 15:35 Mart Raudsepp
2024-02-11 14:21 Mart Raudsepp
2024-02-11 14:21 Mart Raudsepp
2024-02-11 8:09 Arthur Zamarin
2023-12-14 4:15 Sam James
2023-10-26 15:54 Pacho Ramos
2023-09-24 13:43 Jakov Smolić
2023-09-23 9:55 WANG Xuerui
2023-09-22 12:14 Arthur Zamarin
2023-09-22 12:14 Arthur Zamarin
2023-09-22 8:51 Arthur Zamarin
2023-09-19 17:48 Arthur Zamarin
2023-09-15 16:52 Matt Turner
2023-08-25 16:04 Matt Turner
2023-07-27 5:11 WANG Xuerui
2023-07-15 11:43 Arthur Zamarin
2023-07-06 13:59 Matt Turner
2023-07-03 8:42 Jakov Smolić
2023-07-02 11:18 Sam James
2023-05-26 19:42 Matt Turner
2023-05-04 18:47 Arthur Zamarin
2023-05-04 18:47 Arthur Zamarin
2023-05-04 18:41 Arthur Zamarin
2023-04-21 14:00 Matt Turner
2023-03-21 18:31 Matt Turner
2023-02-17 8:23 Arthur Zamarin
2023-02-13 15:09 Matt Turner
2022-12-24 0:19 Matt Turner
2022-11-05 5:59 Arthur Zamarin
2022-10-30 16:34 Matt Turner
2022-10-18 18:10 Matt Turner
2022-10-08 16:52 Arthur Zamarin
2022-10-05 1:19 Matt Turner
2022-10-01 17:16 Matt Turner
2022-07-29 2:59 Sam James
2022-07-18 23:41 Sam James
2022-07-02 2:53 Matt Turner
2022-05-27 20:54 Pacho Ramos
2022-05-10 4:06 Arthur Zamarin
2022-05-07 18:28 Arthur Zamarin
2022-04-28 15:31 Matt Turner
2022-04-18 20:48 Jakov Smolić
2022-03-25 20:54 Matt Turner
2022-03-21 17:41 Matt Turner
2022-03-19 17:59 Matt Turner
2022-02-14 17:39 Matt Turner
2022-01-19 0:26 Sam James
2021-12-19 4:53 Matt Turner
2021-12-18 15:05 Mart Raudsepp
2021-08-27 15:19 Yixun Lan
2021-07-15 20:20 Sergei Trofimovich
2021-04-21 4:22 Matt Turner
2021-04-16 3:05 Matt Turner
2021-04-15 15:36 Matt Turner
2021-04-15 5:25 Sam James
2021-04-15 1:33 Sam James
2021-04-14 18:51 Mikle Kolyada
2021-04-12 23:11 Sam James
2021-03-21 0:33 Matt Turner
2021-03-14 0:06 Matt Turner
2021-03-04 0:23 Sam James
2021-01-09 17:48 Matt Turner
2021-01-09 17:48 Matt Turner
2020-07-12 21:32 Mart Raudsepp
2020-07-12 21:32 Mart Raudsepp
2020-06-07 20:16 Mart Raudsepp
2020-04-26 10:56 Mart Raudsepp
2020-04-04 12:07 Mart Raudsepp
2020-03-15 19:38 Mart Raudsepp
2020-03-01 16:18 Mart Raudsepp
2020-01-31 20:10 Mart Raudsepp
2019-12-08 4:16 Aaron Bauman
2019-11-30 21:17 Sergei Trofimovich
2019-09-20 6:52 Mart Raudsepp
2019-08-03 19:04 Aaron Bauman
2019-05-18 20:46 Mart Raudsepp
2019-05-10 19:39 Mart Raudsepp
2019-03-23 9:24 Mart Raudsepp
2019-03-14 9:35 Mart Raudsepp
2019-03-04 10:56 Mart Raudsepp
2019-03-04 10:56 Mart Raudsepp
2019-02-23 16:33 Mart Raudsepp
2018-09-28 13:51 Mart Raudsepp
2018-04-29 0:08 Mart Raudsepp
2018-04-26 22:32 Aaron Bauman
2018-04-26 17:15 Thomas Deutschmann
2018-04-13 15:55 Mart Raudsepp
2018-03-03 9:46 Michał Górny
2018-02-03 20:56 Mart Raudsepp
2018-01-27 0:41 Thomas Deutschmann
2018-01-18 2:35 Mikle Kolyada
2018-01-08 18:02 Mart Raudsepp
2017-08-15 17:33 Gilles Dartiguelongue
2017-07-25 13:36 Alexis Ballier
2017-07-25 13:36 Alexis Ballier
2017-04-02 14:05 Mart Raudsepp
2017-03-23 10:55 Mart Raudsepp
2017-03-19 12:30 Mart Raudsepp
2017-03-19 12:30 Mart Raudsepp
2017-03-18 20:04 Mart Raudsepp
2017-03-18 19:59 Mart Raudsepp
2017-03-08 12:11 Mart Raudsepp
2017-02-15 19:43 Mart Raudsepp
2017-02-06 22:39 Zac Medico
2017-02-05 8:16 Pacho Ramos
2017-02-04 13:28 Pacho Ramos
2016-12-17 13:32 Pacho Ramos
2016-11-01 12:36 Gilles Dartiguelongue
2016-11-01 11:18 Gilles Dartiguelongue
2016-10-12 7:28 Gilles Dartiguelongue
2016-07-09 11:20 Pacho Ramos
2016-03-06 17:23 Mikle Kolyada
2015-11-14 13:48 Pacho Ramos
2015-09-20 9:30 Agostino Sarubbo
2015-09-19 18:43 Agostino Sarubbo
2015-08-31 18:20 Gilles Dartiguelongue
2015-08-18 4:08 Alexandre Rostovtsev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1469958183.277028349bf7bdfe5216c3aa72547fb5356550f8.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox